OGRE: Ogre::CategorisedAlignAllocPolicy< Cat, align > Class Template Reference - OGRE Documentation

# Ogre::CategorisedAlignAllocPolicy< Cat, align > Class Template Reference

`#include <OgreMemoryAllocatorConfig.h>`

Inheritance diagram for Ogre::CategorisedAlignAllocPolicy< Cat, align >:

[legend]

List of all members.

## Public Types
typedef int | IsValidAlignment [Alignment<=128 &&((Alignment &(Alignment-1))==0)?+1:-1]
## Static Public Member Functions
static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.

## Detailed Description

### template<MemoryCategory Cat, size_t align = 0>
class Ogre::CategorisedAlignAllocPolicy< Cat, align >

Definition at line 184 of file OgreMemoryAllocatorConfig.h.

## Member Typedef Documentation

typedef int Ogre::NedAlignedAllocPolicy< Alignment >::IsValidAlignment[Alignment<=128 &&((Alignment &(Alignment-1))==0)?+1:-1]`[inherited]`

Definition at line 97 of file OgreMemoryNedAlloc.h.

## Member Function Documentation

static void* Ogre::NedAlignedAllocPolicy< Alignment >::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0` |
| ) |  |  | `[static, inherited]`

Definition at line 99 of file OgreMemoryNedAlloc.h.

References Ogre::NedAllocImpl::allocBytesAligned().

static void Ogre::NedAlignedAllocPolicy< Alignment >::deallocateBytes | ( | void * | ptr | ) | `[static, inherited]`

Definition at line 105 of file OgreMemoryNedAlloc.h.

References Ogre::NedAllocImpl::deallocBytesAligned().

static size_t Ogre::NedAlignedAllocPolicy< Alignment >::getMaxAllocationSize | ( |  | ) | `[static, inherited]`

Get the maximum size of a single allocation.

Definition at line 111 of file OgreMemoryNedAlloc.h.

The documentation for this class was generated from the following file:

- OgreMemoryAllocatorConfig.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:34:03 2009